import { LRParser } from '@lezer/lr';
import { styleTags, tags } from '@lezer/highlight';

// This file was generated by lezer-generator. You probably shouldn't edit it.
const inf$1 = 158,
  nan$1 = 159,
  Bool$1 = 1,
  Ignoring$1 = 2,
  On$1 = 3,
  GroupLeft$1 = 4,
  GroupRight$1 = 5,
  Offset$1 = 6,
  Atan2$1 = 7,
  Avg$1 = 8,
  Bottomk$1 = 9,
  Count$1 = 10,
  CountValues$1 = 11,
  Group$1 = 12,
  Max$1 = 13,
  Min$1 = 14,
  Quantile$1 = 15,
  LimitK$1 = 16,
  LimitRatio$1 = 17,
  Stddev$1 = 18,
  Stdvar$1 = 19,
  Sum$1 = 20,
  Topk$1 = 21,
  By$1 = 22,
  Without$1 = 23,
  And$1 = 24,
  Or$1 = 25,
  Unless$1 = 26,
  Start$1 = 27,
  End$1 = 28;

// Copyright 2021 The Prometheus Authors
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


const keywordTokens = {
    inf: inf$1,
    nan: nan$1,
    bool: Bool$1,
    ignoring: Ignoring$1,
    on: On$1,
    group_left: GroupLeft$1,
    group_right: GroupRight$1,
    offset: Offset$1,
};

const specializeIdentifier = (value, stack) => {
    return keywordTokens[value.toLowerCase()] || -1;
};

const contextualKeywordTokens = {
    avg: Avg$1,
    atan2: Atan2$1,
    bottomk: Bottomk$1,
    count: Count$1,
    count_values: CountValues$1,
    group: Group$1,
    max: Max$1,
    min: Min$1,
    quantile: Quantile$1,
    limitk: LimitK$1,
    limit_ratio: LimitRatio$1,
    stddev: Stddev$1,
    stdvar: Stdvar$1,
    sum: Sum$1,
    topk: Topk$1,
    by: By$1,
    without: Without$1,
    and: And$1,
    or: Or$1,
    unless: Unless$1,
    start: Start$1,
    end: End$1,
};

const extendIdentifier = (value, stack) => {
    return contextualKeywordTokens[value.toLowerCase()] || -1;
};

// Copyright 2022 The Prometheus Authors
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.


const promQLHighLight = styleTags({
    LineComment: tags.comment,
    LabelName: tags.labelName,
    StringLiteral: tags.string,
    NumberDurationLiteral: tags.number,
    NumberDurationLiteralInDurationContext: tags.number,
    Identifier: tags.variableName,
    'Abs Absent AbsentOverTime Acos Acosh Asin Asinh Atan Atanh AvgOverTime Ceil Changes Clamp ClampMax ClampMin Cos Cosh CountOverTime DaysInMonth DayOfMonth DayOfWeek DayOfYear Deg Delta Deriv Exp Floor HistogramAvg HistogramCount HistogramFraction HistogramQuantile HistogramSum DoubleExponentialSmoothing Hour Idelta Increase Irate LabelReplace LabelJoin LastOverTime Ln Log10 Log2 MaxOverTime MinOverTime Minute Month Pi PredictLinear PresentOverTime QuantileOverTime Rad Rate Resets Round Scalar Sgn Sin Sinh Sort SortDesc SortByLabel SortByLabelDesc Sqrt StddevOverTime StdvarOverTime SumOverTime Tan Tanh Time Timestamp Vector Year':
        tags.function(tags.variableName),
    'Avg Bottomk Count Count_values Group LimitK LimitRatio Max Min Quantile Stddev Stdvar Sum Topk': tags.operatorKeyword,
    'By Without Bool On Ignoring GroupLeft GroupRight Offset Start End': tags.modifier,
    'And Unless Or': tags.logicOperator,
    'Sub Add Mul Mod Div Atan2 Eql Neq Lte Lss Gte Gtr EqlRegex EqlSingle NeqRegex Pow At': tags.operator,
    UnaryOp: tags.arithmeticOperator,
    '( )': tags.paren,
    '[ ]': tags.squareBracket,
    '{ }': tags.brace,
    '⚠': tags.invalid,
});

// This file was generated by lezer-generator. You probably shouldn't edit it.
const spec_Identifier = {__proto__:null,absent_over_time:335, absent:337, abs:339, acos:341, acosh:343, asin:345, asinh:347, atan:349, atanh:351, avg_over_time:353, ceil:355, changes:357, clamp:359, clamp_max:361, clamp_min:363, cos:365, cosh:367, count_over_time:369, days_in_month:371, day_of_month:373, day_of_week:375, day_of_year:377, deg:379, delta:381, deriv:383, exp:385, floor:387, histogram_count:389, histogram_fraction:391, histogram_quantile:393, histogram_stddev:395, histogram_stdvar:397, histogram_sum:399, histogram_avg:401, double_exponential_smoothing:403, hour:405, idelta:407, increase:409, info:411, irate:413, label_replace:415, label_join:417, last_over_time:419, ln:421, log10:423, log2:425, mad_over_time:427, max_over_time:429, min_over_time:431, minute:433, month:435, pi:437, predict_linear:439, present_over_time:441, quantile_over_time:443, rad:445, rate:447, resets:449, round:451, scalar:453, sgn:455, sin:457, sinh:459, sort:461, sort_desc:463, sort_by_label:465, sort_by_label_desc:467, sqrt:469, stddev_over_time:471, stdvar_over_time:473, sum_over_time:475, tan:477, tanh:479, timestamp:481, time:483, vector:485, year:487};
const parser = LRParser.deserialize({
  version: 14,
  states: "9bOYQPOOO'tQPOOOOQO'#C|'#C|O'yQPO'#C{Q(UQQOOOOQO'#De'#DeO(PQPO'#DdOOQO'#FY'#FYO)cQPO'#F_OYQPO'#F[OYQPO'#F^O0WQSO'#FaO0cQQO'#F`OOQO'#F`'#F`OOQO'#Ft'#FtOOQO'#Df'#DfOOQO'#Dh'#DhOOQO'#Di'#DiOOQO'#Dj'#DjOOQO'#Dk'#DkOOQO'#Dl'#DlOOQO'#Dm'#DmOOQO'#Dn'#DnOOQO'#Do'#DoOOQO'#Dp'#DpOOQO'#Dq'#DqOOQO'#Dr'#DrOOQO'#Ds'#DsOOQO'#Dt'#DtOOQO'#Du'#DuOOQO'#Dv'#DvOOQO'#Dw'#DwOOQO'#Dx'#DxOOQO'#Dy'#DyOOQO'#Dz'#DzOOQO'#D{'#D{OOQO'#D|'#D|OOQO'#D}'#D}OOQO'#EO'#EOOOQO'#EP'#EPOOQO'#EQ'#EQOOQO'#ER'#EROOQO'#ES'#ESOOQO'#ET'#ETOOQO'#EU'#EUOOQO'#EV'#EVOOQO'#EW'#EWOOQO'#EX'#EXOOQO'#EY'#EYOOQO'#EZ'#EZOOQO'#E['#E[OOQO'#E]'#E]OOQO'#E^'#E^OOQO'#E_'#E_OOQO'#E`'#E`OOQO'#Ea'#EaOOQO'#Eb'#EbOOQO'#Ec'#EcOOQO'#Ed'#EdOOQO'#Ee'#EeOOQO'#Ef'#EfOOQO'#Eg'#EgOOQO'#Eh'#EhOOQO'#Ei'#EiOOQO'#Ej'#EjOOQO'#Ek'#EkOOQO'#El'#ElOOQO'#Em'#EmOOQO'#En'#EnOOQO'#Eo'#EoOOQO'#Ep'#EpOOQO'#Eq'#EqOOQO'#Er'#ErOOQO'#Es'#EsOOQO'#Et'#EtOOQO'#Eu'#EuOOQO'#Ev'#EvOOQO'#Ew'#EwOOQO'#Ex'#ExOOQO'#Ey'#EyOOQO'#Ez'#EzOOQO'#E{'#E{OOQO'#E|'#E|OOQO'#E}'#E}OOQO'#FO'#FOOOQO'#FP'#FPOOQO'#FQ'#FQOOQO'#FR'#FROOQO'#FS'#FSOOQO'#FT'#FTOOQO'#FU'#FUOOQO'#FV'#FVQOQPOOO1|QPO'#C}O2RQPO'#DSO(PQPO,59gO2YQQO,59gO3vQPO,59oO3vQPO,59oO3vQPO,59oO3vQPO,59oO3vQPO,59oO:kQPO,5;rO:kQPO,5;uO:|QPO,5<SOOQO,5:O,5:OOOQO,5;t,5;tO;eQQO,5;vO;lQQO,5;xOOQO'#DQ'#DQO=SQPO'#FbO=bQPO,5;{OOQO,5;{,5;{O=nQPO,5;{OOQO,5;z,5;zO=vQSO'#DOOOQO,59i,59iOOQO,59n,59nO>RQQO,59nOOQO1G/R1G/ROOQO'#DV'#DVO1|QPO'#DWOOQO'#Fx'#FxO>]QPO'#FxOYQPO1G/ZOYQPO1G/ZOYQPO1G/ZOYQPO1G/ZOYQPO1G/ZOOQO'#FX'#FXOD}QPO'#FXOEYQSO1G1^OOQO1G1a1G1aOEbQPO'#FYOOQO'#Fj'#FjOOQO1G1n1G1nOEmQPO1G1nOOQO1G1b1G1bOOQO'#Fc'#FcOErQPO,5;|OEwQPO,5<ROE|QSO1G1gOFXQPO1G1gOOQO1G1g1G1gOOQO,59j,59jOFaQPO,59jOYQPO'#FmOFiQPO1G/YOOQO1G/Y1G/YOFqQPO,59rOOQO,5<d,5<dONmQQO7+$uON}QQO7+$uO!!cQQO7+$uO!!yQQO7+$uO!$bQQO7+$uOOQO,5;s,5;sOOQO7+&x7+&xO!${QPO7+&}O!%SQPO7+'YOOQO1G1h1G1hOOQO1G1m1G1mO!%XQPO,5<YOOQO,5<Y,5<YOOQO7+'R7+'RO!%mQSO7+'ROOQO-E9l-E9lO!%xQSO1G/UO!&TQPO1G/UOOQO1G/U1G/UO!&]QQO,5<XOOQO-E9k-E9kOOQO7+$t7+$tO!&gQPO1G/^OOQO<<Ji<<JiO!-RQPO<<JiOOQO<<Jt<<JtOOQO<<Jm<<JmP!-WQSO'#FnOOQO,5<W,5<WOOQO7+$p7+$pO!-`QSO7+$pOOQO-E9j-E9jOOQO7+$x7+$xOOQOAN@TAN@TOOQO<<H[<<H[P!-kQSO'#Fl",
  stateData: "!-s~O$gOSmOS~OWQOXQOYQOZQO[QO]QO^QO_QO`QOaQObQOcQOdQOeQOu^O!Z[O$dVO$eVO$iXO$m_O$n`O$oaO$pbO$qcO$rdO$seO$tfO$ugO$vhO$wiO$xjO$ykO$zlO${mO$|nO$}oO%OpO%PqO%QrO%RsO%StO%TuO%UvO%VwO%WxO%XyO%YzO%Z{O%[|O%]}O%^!OO%_!PO%`!QO%a!RO%b!SO%c!TO%d!UO%e!VO%f!WO%g!XO%h!YO%i!ZO%j![O%k!]O%l!^O%m!_O%n!`O%o!aO%p!bO%q!cO%r!dO%s!eO%t!fO%u!gO%v!hO%w!iO%x!jO%y!kO%z!lO%{!mO%|!nO%}!oO&O!pO&P!qO&Q!rO&R!sO&S!tO&T!uO&U!vO&V!wO&W!xO&X!yO&Y!zO&Z!{O&[!|O&]!}O&_WO&`WO&aVO&dZO~O!Z#OO~Of#POg#PO$i#QO~OU#ZOV#TOh#WOi#XOj#WOx#TO{#TO|#TO}#TO!O#UO!P#UO!Q#VO!R#VO!S#VO!T#VO!U#VO!V#VO$]#[O&^#YO~O$d#^O$e#^O&a#^OW$RXX$RXY$RXZ$RX[$RX]$RX^$RX_$RX`$RXa$RXb$RXc$RXd$RXe$RXu$RX!Z$RX$d$RX$e$RX$i$RX$m$RX$n$RX$o$RX$p$RX$q$RX$r$RX$s$RX$t$RX$u$RX$v$RX$w$RX$x$RX$y$RX$z$RX${$RX$|$RX$}$RX%O$RX%P$RX%Q$RX%R$RX%S$RX%T$RX%U$RX%V$RX%W$RX%X$RX%Y$RX%Z$RX%[$RX%]$RX%^$RX%_$RX%`$RX%a$RX%b$RX%c$RX%d$RX%e$RX%f$RX%g$RX%h$RX%i$RX%j$RX%k$RX%l$RX%m$RX%n$RX%o$RX%p$RX%q$RX%r$RX%s$RX%t$RX%u$RX%v$RX%w$RX%x$RX%y$RX%z$RX%{$RX%|$RX%}$RX&O$RX&P$RX&Q$RX&R$RX&S$RX&T$RX&U$RX&V$RX&W$RX&X$RX&Y$RX&Z$RX&[$RX&]$RX&_$RX&`$RX&a$RX&d$RX~Os#bOu#aO&e#dO~O&dZOU$SXV$SXh$SXi$SXj$SXx$SX{$SX|$SX}$SX!O$SX!P$SX!Q$SX!R$SX!S$SX!T$SX!U$SX!V$SX$]$SX$c$SX&^$SX$k$SX$j$SX~O$i#gO~O$k#iO~PYOf#POg#POUoaVoahoaioajoaxoa{oa|oa}oa!Ooa!Poa!Qoa!Roa!Soa!Toa!Uoa!Voa$]oa$coa&^oa$koa$joa~OP#lOQ#mOR#mOW$lPX$lPY$lPZ$lP[$lP]$lP^$lP_$lP`$lPa$lPb$lPc$lPd$lPe$lPu$lP!Z$lP$d$lP$e$lP$i$lP$m$lP$n$lP$o$lP$p$lP$q$lP$r$lP$s$lP$t$lP$u$lP$v$lP$w$lP$x$lP$y$lP$z$lP${$lP$|$lP$}$lP%O$lP%P$lP%Q$lP%R$lP%S$lP%T$lP%U$lP%V$lP%W$lP%X$lP%Y$lP%Z$lP%[$lP%]$lP%^$lP%_$lP%`$lP%a$lP%b$lP%c$lP%d$lP%e$lP%f$lP%g$lP%h$lP%i$lP%j$lP%k$lP%l$lP%m$lP%n$lP%o$lP%p$lP%q$lP%r$lP%s$lP%t$lP%u$lP%v$lP%w$lP%x$lP%y$lP%z$lP%{$lP%|$lP%}$lP&O$lP&P$lP&Q$lP&R$lP&S$lP&T$lP&U$lP&V$lP&W$lP&X$lP&Y$lP&Z$lP&[$lP&]$lP&_$lP&`$lP&a$lP&d$lP~O$d#uO$e#uO&_#vO&`#vO&a#uO~Ok#zOl#zO$dVO$eVO&_#yO&`#yO&aVO~O$k#}O~P(UOx#TOU$QaV$Qah$Qai$Qaj$Qa{$Qa|$Qa}$Qa!O$Qa!P$Qa!Q$Qa!R$Qa!S$Qa!T$Qa!U$Qa!V$Qa$]$Qa$c$Qa&^$Qa$k$Qa$j$Qa~O!V$OO$W$OO$X$OO$Y$OO~O!V$OO$W$OO$X$OO$Y$OO$j$RO&e$TO~Os$VOu#aO$k$UO~O$j$WO$k$YO~P(UOQ#mOR#mOW$lXX$lXY$lXZ$lX[$lX]$lX^$lX_$lX`$lXa$lXb$lXc$lXd$lXe$lXu$lX!Z$lX$d$lX$e$lX$i$lX$m$lX$n$lX$o$lX$p$lX$q$lX$r$lX$s$lX$t$lX$u$lX$v$lX$w$lX$x$lX$y$lX$z$lX${$lX$|$lX$}$lX%O$lX%P$lX%Q$lX%R$lX%S$lX%T$lX%U$lX%V$lX%W$lX%X$lX%Y$lX%Z$lX%[$lX%]$lX%^$lX%_$lX%`$lX%a$lX%b$lX%c$lX%d$lX%e$lX%f$lX%g$lX%h$lX%i$lX%j$lX%k$lX%l$lX%m$lX%n$lX%o$lX%p$lX%q$lX%r$lX%s$lX%t$lX%u$lX%v$lX%w$lX%x$lX%y$lX%z$lX%{$lX%|$lX%}$lX&O$lX&P$lX&Q$lX&R$lX&S$lX&T$lX&U$lX&V$lX&W$lX&X$lX&Y$lX&Z$lX&[$lX&]$lX&_$lX&`$lX&a$lX&d$lX~O$d$bO$e$bO&a$bO~O&b$cO&c$dO~O$d#^O$e#^O&a#^O~O$i$eO~Ou$fO~Ou$gO~Os#bOu#aO&e$jO~O$j$kO&e$jO~O$j$mO$k$oO~O$j$WO$k$rO~OS$sOT$sOWzaXzaYzaZza[za]za^za_za`zaazabzaczadzaezauza!Zza$dza$eza$iza$mza$nza$oza$pza$qza$rza$sza$tza$uza$vza$wza$xza$yza$zza${za$|za$}za%Oza%Pza%Qza%Rza%Sza%Tza%Uza%Vza%Wza%Xza%Yza%Zza%[za%]za%^za%_za%`za%aza%bza%cza%dza%eza%fza%gza%hza%iza%jza%kza%lza%mza%nza%oza%pza%qza%rza%sza%tza%uza%vza%wza%xza%yza%zza%{za%|za%}za&Oza&Pza&Qza&Rza&Sza&Tza&Uza&Vza&Wza&Xza&Yza&Zza&[za&]za&_za&`za&aza&dza~Ox#TOUwqhwqiwqjwq!Owq!Pwq!Qwq!Rwq!Swq!Twq!Uwq!Vwq$]wq$cwq&^wq$kwq$jwq~OVwq{wq|wq}wq~PMcOV#TO{#TO|#TO}#TO~PMcOV#TOx#TO{#TO|#TO}#TO!O#UO!P#UOUwqhwqiwqjwq$]wq$cwq&^wq$kwq$jwq~O!Qwq!Rwq!Swq!Twq!Uwq!Vwq~P! _O!Q#VO!R#VO!S#VO!T#VO!U#VO!V#VO~P! _OV#TOh#WOj#WOx#TO{#TO|#TO}#TO!O#UO!P#UO!Q#VO!R#VO!S#VO!T#VO!U#VO!V#VO~OUwqiwq$]wq$cwq&^wq$kwq$jwq~P!#aO&b$tO~P:kO$k$vO~O!V$OO$W$OO$X$OO$Y$OO$j$ba&e$ba~Os#bOu#aO&e$wO~Os$yOu#aO$k$zO~O$j${O$k$zO~O$j$aa$k$aa~P(UO$i#gOWziXziYziZzi[zi]zi^zi_zi`ziazibziczidzieziuzi!Zzi$dzi$ezi$mzi$nzi$ozi$pzi$qzi$rzi$szi$tzi$uzi$vzi$wzi$xzi$yzi$zzi${zi$|zi$}zi%Ozi%Pzi%Qzi%Rzi%Szi%Tzi%Uzi%Vzi%Wzi%Xzi%Yzi%Zzi%[zi%]zi%^zi%_zi%`zi%azi%bzi%czi%dzi%ezi%fzi%gzi%hzi%izi%jzi%kzi%lzi%mzi%nzi%ozi%pzi%qzi%rzi%szi%tzi%uzi%vzi%wzi%xzi%yzi%zzi%{zi%|zi%}zi&Ozi&Pzi&Qzi&Rzi&Szi&Tzi&Uzi&Vzi&Wzi&Xzi&Yzi&Zzi&[zi&]zi&_zi&`zi&azi&dzi~O&b%OO~Os#bOu#aO~Os$yOu#aO$k%PO~Os$yOu#aO~O",
  goto: ")v$mPPPPPPPPPPPPPPPPPPPPPPPPPPPPPPP$n$z%W%^P%gP%w$nP&Q&XPPPPPPPPPPP$n&c&oP&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o&o$n&{'U$n$n$n$n'e$n'q(Q(YPPP(Q$nP(aP(d(j(pPPPPP(wPPP)ge^OXY#Q#p#q#r#s#t$WeROXY#Q#p#q#r#s#t$WQ#RRR#k#SQ#h#PQ$Z#mR$}$sQ#cZQ$V#gU$h$R$k$xV$y$m${%QQ#SRQ#]UR#k#RZ#o#T#U#V#W#XY#n#T#U#V#W#XR$[#oeUOXY#Q#p#q#r#s#t$WeTOXY#Q#p#q#r#s#t$WQ#w#YQ#x#ZR$u$dd^OXY#Q#p#q#r#s#t$WR#{#[eYOXY#Q#p#q#r#s#t$Wd]OXY#Q#p#q#r#s#t$WR#f[Q#eZV$i$R$k$xQ$P#bT$Q#c$hR#|#[Q$n$VR$|$nQ$X#jR$q$XS$S#c#eR$l$SQSOQ#_XQ#`YQ#j#QQ$]#pQ$^#qQ$_#rQ$`#sQ$a#tR$p$WQ#p#TQ#q#UQ#r#VQ#s#WR#t#X",
  nodeNames: "⚠ Bool Ignoring On GroupLeft GroupRight Offset Atan2 Avg Bottomk Count CountValues Group Max Min Quantile LimitK LimitRatio Stddev Stdvar Sum Topk By Without And Or Unless Start End LineComment PromQL AggregateExpr AggregateOp AggregateModifier GroupingLabels LabelName QuotedLabelName StringLiteral FunctionCallBody BinaryExpr Pow BoolModifier MatchingModifierClause Mul Div Mod Add Sub Eql Gte Gtr Lte Lss Neq FunctionCall FunctionIdentifier AbsentOverTime Identifier Absent Abs Acos Acosh Asin Asinh Atan Atanh AvgOverTime Ceil Changes Clamp ClampMax ClampMin Cos Cosh CountOverTime DaysInMonth DayOfMonth DayOfWeek DayOfYear Deg Delta Deriv Exp Floor HistogramCount HistogramFraction HistogramQuantile HistogramStdDev HistogramStdVar HistogramSum HistogramAvg DoubleExponentialSmoothing Hour Idelta Increase Info Irate LabelReplace LabelJoin LastOverTime Ln Log10 Log2 MadOverTime MaxOverTime MinOverTime Minute Month Pi PredictLinear PresentOverTime QuantileOverTime Rad Rate Resets Round Scalar Sgn Sin Sinh Sort SortDesc SortByLabel SortByLabelDesc Sqrt StddevOverTime StdvarOverTime SumOverTime Tan Tanh Timestamp Time Vector Year MatrixSelector NumberDurationLiteralInDurationContext NumberDurationLiteral OffsetExpr ParenExpr SubqueryExpr UnaryExpr UnaryOp VectorSelector LabelMatchers UnquotedLabelMatcher MatchOp EqlSingle EqlRegex NeqRegex QuotedLabelMatcher StepInvariantExpr At AtModifierPreprocessors MetricName",
  maxTerm: 251,
  nodeProps: [
    ["group", -12,31,37,39,54,134,136,137,138,139,140,142,150,"Expr"]
  ],
  propSources: [promQLHighLight],
  skippedNodes: [0,29],
  repeatNodeCount: 3,
  tokenData: "4k~RwX^#lpq#lqr$ars$tst&luv'Twx'Yxy({yz)Qz{)V{|)[|})c}!O)h!O!P)o!P!Q*u!Q!R*z!R![+u![!]1O!^!_1z!_!`2X!`!a2n!b!c2{!c!}3Q!}#O3h#P#Q3m#Q#R3r#R#S3Q#S#T3w#T#o3Q#o#p4a#q#r4f#y#z#l$f$g#l#BY#BZ#l$IS$I_#l$I|$JO#l$JT$JU#l$KV$KW#l&FU&FV#l~#qY$g~X^#lpq#l#y#z#l$f$g#l#BY#BZ#l$IS$I_#l$I|$JO#l$JT$JU#l$KV$KW#l&FU&FV#l~$dQ!_!`$j#r#s$o~$oO!V~~$tO$Y~~$yWu~OY$tZr$trs%cs#O$t#O#P%h#P;'S$t;'S;=`&f<%lO$t~%hOu~~%kRO;'S$t;'S;=`%t;=`O$t~%yXu~OY$tZr$trs%cs#O$t#O#P%h#P;'S$t;'S;=`&f;=`<%l$t<%lO$t~&iP;=`<%l$t~&qSm~OY&lZ;'S&l;'S;=`&}<%lO&l~'QP;=`<%l&l~'YO}~~'_Wu~OY'YZw'Ywx%cx#O'Y#O#P'w#P;'S'Y;'S;=`(u<%lO'Y~'zRO;'S'Y;'S;=`(T;=`O'Y~(YXu~OY'YZw'Ywx%cx#O'Y#O#P'w#P;'S'Y;'S;=`(u;=`<%l'Y<%lO'Y~(xP;=`<%l'Y~)QO$i~~)VO$k~~)[O{~R)cO&`P!OQ~)hO$j~R)oO&_P!PQ~)rP!Q![)u~)zS&a~!Q![)u!g!h*W#R#S)o#X#Y*W~*ZR{|*d}!O*d!Q![*j~*gP!Q![*j~*oQ&a~!Q![*j#R#S*d~*zO|~~+P[&a~!O!P)o!Q![+u!g!h*W#R#S,m#W#X-X#X#Y*W#[#]-p#a#b.U#g#h.x#k#l/Z#l#m0d#m#n/u~+zZ&a~!O!P)o!Q![+u!g!h*W#R#S,m#W#X-X#X#Y*W#[#]-p#a#b.U#g#h.x#k#l/Z#m#n/u~,pP!Q![,s~,xT&a~!O!P)o!Q![,s!g!h*W#R#S,m#X#Y*W~-^P&a~!Q![-a~-dS!Q![-a#[#]-p#a#b.U#g#h.x~-uP&a~!Q![-x~-{R!Q![-x#a#b.U#g#h.x~.ZQ&a~!Q![.a#g#h.s~.dR!Q![.a#a#b.m#g#h.x~.pP#g#h.s~.xO&a~~.}P&a~!Q![/Q~/TQ!Q![/Q#a#b.m~/`P&a~!Q![/c~/fT!Q![/c#W#X-X#[#]-p#a#b.U#g#h.x~/zP&a~!Q![/}~0QU!Q![/}#W#X-X#[#]-p#a#b.U#g#h.x#k#l/Z~0gR!Q![0p!c!i0p#T#Z0p~0uR&a~!Q![0p!c!i0p#T#Z0pV1VT&cS!ZR!Q![1f![!]1f!c!}1f#R#S1f#T#o1fR1kT!ZR!Q![1f![!]1f!c!}1f#R#S1f#T#o1f~2PP!U~!_!`2S~2XO!T~~2^Q$WP!_!`2d#r#s2iQ2iO!QQ~2nO$X~~2sP!S~!_!`2v~2{O!R~~3QO$]~V3XT!ZRsS!Q![3Q![!]1f!c!}3Q#R#S3Q#T#o3Q~3mO&^~~3rO&b~~3wOx~~3zTO#S3w#S#T%c#T;'S3w;'S;=`4Z<%lO3w~4^P;=`<%l3w~4fO&d~~4kO&e~",
  tokenizers: [0, 1, 2],
  topRules: {"PromQL":[0,30],"MetricName":[1,153]},
  specialized: [{term: 57, get: (value, stack) => (specializeIdentifier(value) << 1), external: specializeIdentifier},{term: 57, get: (value, stack) => (extendIdentifier(value) << 1) | 1, external: extendIdentifier, extend: true},{term: 57, get: (value) => spec_Identifier[value] || -1}],
  tokenPrec: 0
});
// This file was generated by lezer-generator. You probably shouldn't edit it.
const inf = 158,
  nan = 159,
  Bool = 1,
  Ignoring = 2,
  On = 3,
  GroupLeft = 4,
  GroupRight = 5,
  Offset = 6,
  Atan2 = 7,
  Avg = 8,
  Bottomk = 9,
  Count = 10,
  CountValues = 11,
  Group = 12,
  Max = 13,
  Min = 14,
  Quantile = 15,
  LimitK = 16,
  LimitRatio = 17,
  Stddev = 18,
  Stdvar = 19,
  Sum = 20,
  Topk = 21,
  By = 22,
  Without = 23,
  And = 24,
  Or = 25,
  Unless = 26,
  Start = 27,
  End = 28,
  LineComment = 29,
  PromQL = 30,
  AggregateExpr = 31,
  AggregateOp = 32,
  AggregateModifier = 33,
  GroupingLabels = 34,
  LabelName = 35,
  QuotedLabelName = 36,
  StringLiteral = 37,
  FunctionCallBody = 38,
  BinaryExpr = 39,
  Pow = 40,
  BoolModifier = 41,
  MatchingModifierClause = 42,
  Mul = 43,
  Div = 44,
  Mod = 45,
  Add = 46,
  Sub = 47,
  Eql = 48,
  Gte = 49,
  Gtr = 50,
  Lte = 51,
  Lss = 52,
  Neq = 53,
  FunctionCall = 54,
  FunctionIdentifier = 55,
  AbsentOverTime = 56,
  Identifier = 57,
  Absent = 58,
  Abs = 59,
  Acos = 60,
  Acosh = 61,
  Asin = 62,
  Asinh = 63,
  Atan = 64,
  Atanh = 65,
  AvgOverTime = 66,
  Ceil = 67,
  Changes = 68,
  Clamp = 69,
  ClampMax = 70,
  ClampMin = 71,
  Cos = 72,
  Cosh = 73,
  CountOverTime = 74,
  DaysInMonth = 75,
  DayOfMonth = 76,
  DayOfWeek = 77,
  DayOfYear = 78,
  Deg = 79,
  Delta = 80,
  Deriv = 81,
  Exp = 82,
  Floor = 83,
  HistogramCount = 84,
  HistogramFraction = 85,
  HistogramQuantile = 86,
  HistogramStdDev = 87,
  HistogramStdVar = 88,
  HistogramSum = 89,
  HistogramAvg = 90,
  DoubleExponentialSmoothing = 91,
  Hour = 92,
  Idelta = 93,
  Increase = 94,
  Info = 95,
  Irate = 96,
  LabelReplace = 97,
  LabelJoin = 98,
  LastOverTime = 99,
  Ln = 100,
  Log10 = 101,
  Log2 = 102,
  MadOverTime = 103,
  MaxOverTime = 104,
  MinOverTime = 105,
  Minute = 106,
  Month = 107,
  Pi = 108,
  PredictLinear = 109,
  PresentOverTime = 110,
  QuantileOverTime = 111,
  Rad = 112,
  Rate = 113,
  Resets = 114,
  Round = 115,
  Scalar = 116,
  Sgn = 117,
  Sin = 118,
  Sinh = 119,
  Sort = 120,
  SortDesc = 121,
  SortByLabel = 122,
  SortByLabelDesc = 123,
  Sqrt = 124,
  StddevOverTime = 125,
  StdvarOverTime = 126,
  SumOverTime = 127,
  Tan = 128,
  Tanh = 129,
  Timestamp = 130,
  Time = 131,
  Vector = 132,
  Year = 133,
  MatrixSelector = 134,
  NumberDurationLiteralInDurationContext = 135,
  NumberDurationLiteral = 136,
  OffsetExpr = 137,
  ParenExpr = 138,
  SubqueryExpr = 139,
  UnaryExpr = 140,
  UnaryOp = 141,
  VectorSelector = 142,
  LabelMatchers = 143,
  UnquotedLabelMatcher = 144,
  MatchOp = 145,
  EqlSingle = 146,
  EqlRegex = 147,
  NeqRegex = 148,
  QuotedLabelMatcher = 149,
  StepInvariantExpr = 150,
  At = 151,
  AtModifierPreprocessors = 152,
  MetricName = 153;

export { Abs, Absent, AbsentOverTime, Acos, Acosh, Add, AggregateExpr, AggregateModifier, AggregateOp, And, Asin, Asinh, At, AtModifierPreprocessors, Atan, Atan2, Atanh, Avg, AvgOverTime, BinaryExpr, Bool, BoolModifier, Bottomk, By, Ceil, Changes, Clamp, ClampMax, ClampMin, Cos, Cosh, Count, CountOverTime, CountValues, DayOfMonth, DayOfWeek, DayOfYear, DaysInMonth, Deg, Delta, Deriv, Div, DoubleExponentialSmoothing, End, Eql, EqlRegex, EqlSingle, Exp, Floor, FunctionCall, FunctionCallBody, FunctionIdentifier, Group, GroupLeft, GroupRight, GroupingLabels, Gte, Gtr, HistogramAvg, HistogramCount, HistogramFraction, HistogramQuantile, HistogramStdDev, HistogramStdVar, HistogramSum, Hour, Idelta, Identifier, Ignoring, Increase, Info, Irate, LabelJoin, LabelMatchers, LabelName, LabelReplace, LastOverTime, LimitK, LimitRatio, LineComment, Ln, Log10, Log2, Lss, Lte, MadOverTime, MatchOp, MatchingModifierClause, MatrixSelector, Max, MaxOverTime, MetricName, Min, MinOverTime, Minute, Mod, Month, Mul, Neq, NeqRegex, NumberDurationLiteral, NumberDurationLiteralInDurationContext, Offset, OffsetExpr, On, Or, ParenExpr, Pi, Pow, PredictLinear, PresentOverTime, PromQL, Quantile, QuantileOverTime, QuotedLabelMatcher, QuotedLabelName, Rad, Rate, Resets, Round, Scalar, Sgn, Sin, Sinh, Sort, SortByLabel, SortByLabelDesc, SortDesc, Sqrt, Start, Stddev, StddevOverTime, Stdvar, StdvarOverTime, StepInvariantExpr, StringLiteral, Sub, SubqueryExpr, Sum, SumOverTime, Tan, Tanh, Time, Timestamp, Topk, UnaryExpr, UnaryOp, Unless, UnquotedLabelMatcher, Vector, VectorSelector, Without, Year, inf, nan, parser };
